Get the results of the pickface replenishment report as an xlsx file

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client to filter by

  • includeReplenSuggestions
    Type: boolean

    Include replenishment suggtests for pickfaces requiring replenishment

  • includeRequiredOnly
    Type: boolean

    Include only pickfaces requiring replenishment

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/pickface-replenishment/xlsx
curl https://api.consignlyhq.com/v1/reports/pickface-replenishment/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "includeRequiredOnly": true,
  "includeReplenSuggestions": true
}'
No Body